Note for users of blender 2.63

Forums: Note for users of blender 2.63
Blender (Export script developed by yoyoz; Integrated Plugin developed by JimStar)

Note for users of blender 2.63

Postby yoyoz » Fri Sep 14, 2012 6:54 am

yoyoz Fri Sep 14, 2012 6:54 am
If you're using blender 2.63, and have the following error when doing animations or pulling image back into blender:
TypeError: OCT_RENDER.end_result(): required parameter "cancel" not specified

then please do the following:
- find file engine.py in your script directory
- edit file and go to line 364 (may differ depends on plugin version but should be ok with 1.19 and 1.20)
- replace self.end_result(result) with self.end_result(result,0)

I've no time to repackage plugin at the moment, but this fix works fine.

Yoyoz
Desktop: Ubuntu 13.04 x64 - i7-3770K @ 3.5GHz - 32GB DDR3 - GTX670 2048MB
Laptop: Linux Mint 11 x64 - i7-2860QM @ 2.5GHz - 16GB DDR3 - Quadro 3000M 2GB
Software: NVidia 319.12 - Cuda 4.2.9 - Blender 2.66a
User avatar
yoyoz
Licensed Customer
Licensed Customer
 
Posts: 451
Joined: Sat Dec 25, 2010 9:59 am
Location: Belgium

Re: Note for users of blender 2.63

Postby DayVids » Fri Sep 14, 2012 8:23 am

DayVids Fri Sep 14, 2012 8:23 am
thank you!!! :)
CPU - i7-950 3.06 Ghz, 24GB Ram, Win7 x64, 2 display monitors, GeForce GTX 580 3GB Classified. I'm glad to say I LOVE OCTANE!
DayVids
Licensed Customer
Licensed Customer
 
Posts: 350
Joined: Tue May 11, 2010 2:35 am

Re: Note for users of blender 2.63

Postby kaskudo » Tue Oct 09, 2012 4:08 am

kaskudo Tue Oct 09, 2012 4:08 am
Guys, I do not know what else to do ..
I'm using Blender 2.64 and used the plugin 1.19 and also 1.20 and nothing works.
I'm still trying to make a short animation and does not work.
Have you changed the line 364 of the (engine.py) and did not work well.
I bought the octane render to do just a few animations and still can not.
If it is not too much to ask, could someone make a video tutorial teaching how to work the animations in blender?
Thank you very much.
User avatar
kaskudo
Licensed Customer
Licensed Customer
 
Posts: 29
Joined: Thu Sep 20, 2012 11:03 pm

Re: Note for users of blender 2.63

Postby matej » Tue Oct 09, 2012 5:26 am

matej Tue Oct 09, 2012 5:26 am
@kaskudo, what / when / how "does not work"? Post error messages.
SW: Octane 3.05 | Linux Mint 18.1 64bit | Blender 2.78 HW: EVGA GTX 1070 | i5 2500K | 16GB RAM Drivers: 375.26
cgmo.net
User avatar
matej
Licensed Customer
Licensed Customer
 
Posts: 2083
Joined: Fri Jun 25, 2010 7:54 pm
Location: Slovenia

Re: Note for users of blender 2.63

Postby lucidlook » Tue Oct 09, 2012 10:15 am

lucidlook Tue Oct 09, 2012 10:15 am
Hey kaskudo!
kaskudo wrote:Guys, I do not know what else to do ..
I'm using Blender 2.64 and used the plugin 1.19 and also 1.20 and nothing works.
I'm still trying to make a short animation and does not work.
Have you changed the line 364 of the (engine.py) and did not work well.
I bought the octane render to do just a few animations and still can not.
If it is not too much to ask, could someone make a video tutorial teaching how to work the animations in blender?
Thank you very much.


What exactly are you trying to animate? Shapes or materials? Can you render at least one frame without any animation at all just for test?
lucidlook
Licensed Customer
Licensed Customer
 
Posts: 26
Joined: Thu Jun 14, 2012 6:55 pm
Location: Russia - Moscow

Re: Note for users of blender 2.63

Postby kaskudo » Tue Oct 09, 2012 10:21 pm

kaskudo Tue Oct 09, 2012 10:21 pm
Guys,
I can render a still frame, but when I try to animate a cube walking on a plane, does not work.
When I click on animation rendering, this message appears ...

Traceback (most recent call last):
File "C:\Program Files\Blender Foundation\Blender\2.64\scripts\addons\octanerender\engine.py", line 65, in render
error('Image output directory is invalid or contains spaces "%s" ("%s")' % (octane_render.path,animPath))
File "C:\Program Files\Blender Foundation\Blender\2.64\scripts\addons\octanerender\utils.py", line 81, in error
raise Exception("Octane plug-in: "+error)
Exception: Octane plug-in: Image output directory is invalid or contains spaces "C:\Users\Douglas\Desktop\OCTANE_RENDER\RENDER_OCTANE\" ("C:\Users\Douglas\Desktop\OCTANE_RENDER\RENDER_OCTANE\teste_octane_01")

location:<unknown location>:-1

I'm using Blender 2.64 and the 1.20 plugin...
User avatar
kaskudo
Licensed Customer
Licensed Customer
 
Posts: 29
Joined: Thu Sep 20, 2012 11:03 pm

Re: Note for users of blender 2.63

Postby lucidlook » Wed Oct 10, 2012 10:35 pm

lucidlook Wed Oct 10, 2012 10:35 pm
Make sure in octane output folder you did NOT specified the file name -- only the folder. The actual file name will be derived from the project name. Please also remove the trailing backslash.

Hope it helps.
lucidlook
Licensed Customer
Licensed Customer
 
Posts: 26
Joined: Thu Jun 14, 2012 6:55 pm
Location: Russia - Moscow

Re: Note for users of blender 2.63

Postby oneeyedfox » Sat Oct 13, 2012 10:10 pm

oneeyedfox Sat Oct 13, 2012 10:10 pm
I'm using 2.64 with plugin 1.20 it doesn't work for animation all the time I getting message name path contain spaces etc. but I still have 2.63 installed and it's work with plugin 1.20 without problem just I had to change that line in script
oneeyedfox
Licensed Customer
Licensed Customer
 
Posts: 16
Joined: Sat Jun 23, 2012 2:33 pm

Re: Note for users of blender 2.63

Postby Igoroz » Mon Nov 12, 2012 6:18 pm

Igoroz Mon Nov 12, 2012 6:18 pm
Уважаемые, а где скачать плагины для блендера? Все перерыл, но так и не нашел. Слепой наверное. Тот плагин, что ставится с лицензионным октаном - не работает в Blender 2.64 - 'Mesh' object has no attribute 'faces'
Igoroz
Licensed Customer
Licensed Customer
 
Posts: 2
Joined: Sun Nov 11, 2012 3:52 pm

Return to Blender


Who is online

Users browsing this forum: No registered users and 6 guests

Thu Jul 02, 2020 10:14 am [ UTC ]